Bug 1284638 - Review Request: bugyou - An Automatic Bug Reporting Tool
Review Request: bugyou - An Automatic Bug Reporting Tool
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Adam Miller
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 12:37 EST by Sayan Chowdhury
Modified: 2016-09-02 22:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-24 16:49:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
admiller: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Sayan Chowdhury 2015-11-23 12:37:31 EST
Spec URL: https://sayanchowdhury.fedorapeople.org/packages/SPECS/bugyou.spec
SRPM URL: https://sayanchowdhury.fedorapeople.org/packages/SRPMS/bugyou-0.1-1.fc22.src.rpm
Description: An Automatic Bug Reporting Tool
Fedora Account System Username: sayanchowdhury
Comment 1 Adam Miller 2015-11-24 12:51:54 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2.1 or later)", "Unknown or generated". 12 files have
     unknown license. Detailed output of licensecheck in
     /home/admiller/reviews/1284638-bugyou/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: bugyou-0.1-1.fc24.noarch.rpm
          bugyou-0.1-1.fc24.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
bugyou (rpmlib, GLIBC filtered):
    config(bugyou)
    fedmsg-hub
    python(abi)
    python-libpagure



Provides
--------
bugyou:
    bugyou
    config(bugyou)



Source checksums
----------------
https://pagure.io/releases/bugyou/bugyou-0.1.tar.gz :
  CHECKSUM(SHA256) this package     : c7a7af7f91c633e3795e19cf2cde34d4bbe8cf5bacab7064ac780bbfd0066897
  CHECKSUM(SHA256) upstream package : c7a7af7f91c633e3795e19cf2cde34d4bbe8cf5bacab7064ac780bbfd0066897


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1284638 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Notes
-----

Only comments would be to convert %{__python} macros to %{__python2} so you don't run into a build root that defaults to python3, and also to comply with https://fedoraproject.org/wiki/Packaging:Python

Other than that, this looks good.
Comment 2 Upstream Release Monitoring 2015-11-24 13:18:38 EST
sayanchowdhury's scratch build of bugyou-0.1-1.fc22.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11970742
Comment 3 Sayan Chowdhury 2015-11-24 13:23:49 EST
I have updated macro %{__python} to %{__python2} in the SPEC file

SPEC file: https://sayanchowdhury.fedorapeople.org/packages/SPECS/python-libpagure.spec
SRPM file: https://sayanchowdhury.fedorapeople.org/packages/SRPMS/python-libpagure-0.4-1.fc22.src.rpm
Comment 5 Adam Miller 2015-11-24 15:28:12 EST
APPROVED
Comment 6 Till Maas 2015-11-26 16:29:04 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/bugyou
Comment 7 Fedora Update System 2015-11-29 13:17:43 EST
bugyou-0.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-779aaed42a
Comment 8 Fedora Update System 2015-11-29 13:18:26 EST
bugyou-0.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c8db9e20d1
Comment 9 Fedora Update System 2015-11-29 17:20:07 EST
bugyou-0.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update bugyou'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-779aaed42a
Comment 10 Fedora Update System 2015-11-29 18:52:09 EST
bugyou-0.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update bugyou'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c8db9e20d1
Comment 11 Fedora Update System 2015-12-08 12:20:11 EST
bugyou-0.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-cac13a4b05
Comment 12 Fedora Update System 2015-12-08 14:53:02 EST
bugyou-0.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-12-08 16:22:53 EST
bugyou-0.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2015-12-09 00:20:18 EST
bugyou-0.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update bugyou'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-cac13a4b05
Comment 15 Fedora Update System 2016-03-01 07:28:46 EST
bugyou-0.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e53437451e
Comment 16 Fedora Update System 2016-03-01 07:31:43 EST
bugyou-0.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0d09777334
Comment 17 Fedora Update System 2016-03-01 07:33:10 EST
bugyou-0.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cf1bc9bfd0
Comment 18 Fedora Update System 2016-03-01 21:23:57 EST
bugyou-0.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e53437451e
Comment 19 Fedora Update System 2016-03-01 22:32:02 EST
bugyou-0.2-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0d09777334
Comment 20 Fedora Update System 2016-03-02 00:57:23 EST
bugyou-0.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2016-03-02 07:52:43 EST
bugyou-0.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cf1bc9bfd0
Comment 22 Fedora Update System 2016-03-05 02:31:56 EST
bugyou-0.2.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a3fc631fb2
Comment 23 Fedora Update System 2016-03-05 02:32:32 EST
bugyou-0.2.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5621af18d4
Comment 24 Fedora Update System 2016-03-05 02:33:23 EST
bugyou-0.2.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1ab53db855
Comment 25 Fedora Update System 2016-03-05 20:53:19 EST
bugyou-0.2.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a3fc631fb2
Comment 26 Fedora Update System 2016-03-05 21:55:12 EST
bugyou-0.2.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5621af18d4
Comment 27 Fedora Update System 2016-03-05 21:57:18 EST
bugyou-0.2.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1ab53db855
Comment 28 Fedora Update System 2016-03-25 17:26:08 EDT
bugyou-0.2.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 29 Fedora Update System 2016-03-25 18:23:36 EDT
bugyou-0.2.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 30 Fedora Update System 2016-03-25 23:19:22 EDT
bugyou-0.2.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 31 Fedora Update System 2016-04-13 23:41:24 EDT
bugyou-0.2.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-466d8720c4
Comment 32 Fedora Update System 2016-04-13 23:41:53 EDT
bugyou-0.2.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-37e01c70de
Comment 33 Fedora Update System 2016-04-13 23:42:27 EDT
bugyou-0.2.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-934367557f
Comment 34 Fedora Update System 2016-04-13 23:48:56 EDT
bugyou-0.2.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5c57461846
Comment 35 Fedora Update System 2016-04-15 04:32:20 EDT
bugyou-0.2.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-934367557f
Comment 36 Fedora Update System 2016-04-15 04:37:48 EDT
bugyou-0.2.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5c57461846
Comment 37 Fedora Update System 2016-04-16 15:26:43 EDT
bugyou-0.2.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-37e01c70de
Comment 38 Fedora Update System 2016-04-16 15:27:45 EDT
bugyou-0.2.2-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-466d8720c4
Comment 39 Fedora Update System 2016-04-24 16:49:09 EDT
bugyou-0.2.2-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 40 Fedora Update System 2016-04-24 16:52:52 EDT
bugyou-0.2.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 41 Fedora Update System 2016-05-07 08:09:52 EDT
bugyou-0.2.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 42 Fedora Update System 2016-09-02 22:19:21 EDT
bugyou-0.2.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.